# Mat44 Class Reference

List of all members.

## Public Member Functions
Vec3f | camRay (float u, float v)
void | CopyInto (float *Mat)
void | cvProj (float *cvMat, float *imgcenter)
void | Frustum (float l, float r, float b, float t, float n, float f)
void | Identity ()
void | invFrustum (float l, float r, float b, float t, float n, float f)
void | invLookAt (Vec3f Eye, Vec3f LookAtPt, Vec3f ViewUp)
void | invPerspective (float Yfov, float Aspect, float Ndist, float Fdist)
void | invRotate (float DegAng, Vec3f Axis)
void | invScale (float Sx, float Sy, float Sz)
void | invTranslate (float Tx, float Ty, float Tz)
void | invViewport (int WW, int WH)
void | invViewport2 (int WW, int WH)
void | LookAt (Vec3f Eye, Vec3f LookAtPt, Vec3f ViewUp)
| Mat44 (float M0, float M4, float M8, float M12, float M1, float M5, float M9, float M13, float M2, float M6, float M10, float M14, float M3, float M7, float M11, float M15)
| Mat44 (float *N)
| Mat44 ()
Vec4f | operator* (const Vec4f &V) const
Vec3f | operator* (const Vec3f &V) const
Mat44 | operator* (const Mat44 &A) const
void | Perspective (float Yfov, float Aspect, float Ndist, float Fdist)
void | Print ()
void | Rotate (float DegAng, Vec3f Axis)
void | Scale (float Sx, float Sy, float Sz)
void | Translate (float Tx, float Ty, float Tz)
void | Transpose ()
void | Viewport (int WW, int WH)
void | Viewport2 (int WW, int WH)
## Public Attributes
Vec3f | cop
float | imgC [2]
float | M [16]
float | subInv [9]

## Constructor & Destructor Documentation

Mat44::Mat44 | ( |  | ) |

Mat44::Mat44 | ( | float * | N | ) |

Mat44::Mat44 | ( | float | M0,
|  | float | M4,
|  | float | M8,
|  | float | M12,
|  | float | M1,
|  | float | M5,
|  | float | M9,
|  | float | M13,
|  | float | M2,
|  | float | M6,
|  | float | M10,
|  | float | M14,
|  | float | M3,
|  | float | M7,
|  | float | M11,
|  | float | M15 |
| ) |  |  |

## Member Function Documentation

Vec3f Mat44::camRay | ( | float | u,
|  | float | v |
| ) |  |  |

void Mat44::CopyInto | ( | float * | Mat | ) |

void Mat44::cvProj | ( | float * | cvMat,
|  | float * | imgcenter |
| ) |  |  |

void Mat44::Frustum | ( | float | l,
|  | float | r,
|  | float | b,
|  | float | t,
|  | float | n,
|  | float | f |
| ) |  |  |

void Mat44::Identity | ( |  | ) |

void Mat44::invFrustum | ( | float | l,
|  | float | r,
|  | float | b,
|  | float | t,
|  | float | n,
|  | float | f |
| ) |  |  |

void Mat44::invLookAt | ( | Vec3f | Eye,
|  | Vec3f | LookAtPt,
|  | Vec3f | ViewUp |
| ) |  |  |

void Mat44::invPerspective | ( | float | Yfov,
|  | float | Aspect,
|  | float | Ndist,
|  | float | Fdist |
| ) |  |  |

void Mat44::invRotate | ( | float | DegAng,
|  | Vec3f | Axis |
| ) |  |  |

void Mat44::invScale | ( | float | Sx,
|  | float | Sy,
|  | float | Sz |
| ) |  |  |

void Mat44::invTranslate | ( | float | Tx,
|  | float | Ty,
|  | float | Tz |
| ) |  |  |

void Mat44::invViewport | ( | int | WW,
|  | int | WH |
| ) |  |  |

void Mat44::invViewport2 | ( | int | WW,
|  | int | WH |
| ) |  |  |

void Mat44::LookAt | ( | Vec3f | Eye,
|  | Vec3f | LookAtPt,
|  | Vec3f | ViewUp |
| ) |  |  |

Vec4f Mat44::operator* | ( | const Vec4f & | V | ) | const

Vec3f Mat44::operator* | ( | const Vec3f & | V | ) | const

Mat44 Mat44::operator* | ( | const Mat44 & | A | ) | const

void Mat44::Perspective | ( | float | Yfov,
|  | float | Aspect,
|  | float | Ndist,
|  | float | Fdist |
| ) |  |  |

void Mat44::Print | ( |  | ) |

void Mat44::Rotate | ( | float | DegAng,
|  | Vec3f | Axis |
| ) |  |  |

void Mat44::Scale | ( | float | Sx,
|  | float | Sy,
|  | float | Sz |
| ) |  |  |

void Mat44::Translate | ( | float | Tx,
|  | float | Ty,
|  | float | Tz |
| ) |  |  |

void Mat44::Transpose | ( |  | ) |

void Mat44::Viewport | ( | int | WW,
|  | int | WH |
| ) |  |  |

void Mat44::Viewport2 | ( | int | WW,
|  | int | WH |
| ) |  |  |

## Member Data Documentation

Vec3f Mat44::cop

float Mat44::imgC[2]

float Mat44::M[16]

float Mat44::subInv[9]